text-1.2.1.3: An efficient packed Unicode text type.

Copyright | (c) 2011 MailRank Inc.
License | BSD-style
Maintainer | bos@serpentine.com
Stability | experimental
Portability | GHC
Safe Haskell | None
Language | Haskell98

Data.Text.Internal.Builder.Functions

Description

Warning: this is an internal module, and does not have a stable API or name. Functions in this module may not check or enforce preconditions expected by public modules. Use at your own risk!

Useful functions and combinators.

Synopsis

- (<>) :: Builder -> Builder -> Builder
- i2d :: Int -> Char

# Documentation

(<>) :: Builder -> Builder -> Builder infixr 4 #

The normal `mappend` function with right associativity instead of left.

i2d :: Int -> Char #

Unsafe conversion for decimal digits.